// Machine generated IDispatch wrapper class(es) created with ClassWizard
/////////////////////////////////////////////////////////////////////////////
// IImages wrapper class

class IImages : public COleDispatchDriver
{
public:
	IImages() {}		// Calls COleDispatchDriver default constructor
	IImages(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IImages(const IImages& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	void CreateImage(long w, long h);
	void WriteToFile(LPCTSTR str);
	void SetImageType(long newVal);
	long GetImageType();
	void SetJpegQuality(long newVal);
	long GetJpegQuality();
	void ReadFromFile(LPCTSTR str);
	void SetColor(long r, long g, long b);
	void DrawLine(long x1, long y1, long x2, long y2);
	void DrawTextTTF(long x, long y, LPCTSTR str);
	void SetFontTTF(LPCTSTR str);
	void SetFontSizeTTF(long sz_font);
	void SetFontPathTTF(LPCTSTR str);
	void ReadFromDatabase(const VARIANT& ADOField);
	void WriteToDatabase(const VARIANT& ADOField);
	CString WriteToVariable();
	void ReadFromVariable(BSTR* pVal);
	long GetColorRed();
	long GetColorGreen();
	long GetColorBlue();
	void SetLineThickness(long w);
	long GetLineThickness();
	void DrawFilledPolygon(VARIANT* pArray, long n);
	void DrawPolygon(VARIANT* pArray, long n);
	void DrawEllipse(long x, long y, long w, long h);
	void DrawFilledEllipse(long x, long y, long w, long h);
	void DrawRectangle(long x1, long y1, long x2, long y2);
	void DrawFilledRectangle(long x1, long y1, long x2, long y2);
	void DrawText(long x, long y, LPCTSTR str);
	void SetPixel(long x, long y);
	long GetPixelRed(long x, long y);
	long GetPixelGreen(long x, long y);
	long GetPixelBlue(long x, long y);
	void SetFont(long newVal);
	long GetFont();
	void DrawArc(long x, long y, long w, long h, long s, long e);
	void DrawFilledArc(long x, long y, long w, long h, long s, long e);
	void SetImage(long newVal);
	long GetImage();
	void CopyImage(long dstImg, long srcImg, long dstX, long dstY, long srcX, long srcY, long w, long h);
	void CopyImageResize(long dstImg, long srcImg, long dstX, long dstY, long srcX, long srcY, long dstW, long dstH, long srcW, long srcH);
	void DrawTextAngle(long x, long y, long angle, LPCTSTR str);
	void SetInterlace(long newVal);
	long GetInterlace();
	void SetTransparent(long newVal);
	long GetTransparent();
	long GetHeight();
	long GetWidth();
	long DestroyImage();
	void Fill(long x, long y);
	void DrawTextAngleTTF(long x, long y, long angle, LPCTSTR str);
	void ConvertToPalette();
	void CreateImagePalette(long w, long h);
	long GetColorAlpha();
	long GetColorTotal();
	long GetPixelAlpha(long x, long y);
	long GetTrueColor();
	void SetAlphaColor(long r, long g, long b, long a);
	void SetAlphaBlending(long newVal);
	void SetColorByIndex(long newVal);
	void SetFontPathTTFAuto();
	void SetSaveAlpha(long newVal);
	void SetBorderColor();
	VARIANT WriteToVariableVariant();
	void FillToBorder(long x, long y);
	void ConvertToMonochromeAuto();
	void ConvertToMonochrome(long newVal);
	void CopyImageMerge(long dstImg, long srcImg, long dstX, long dstY, long srcX, long srcY, long w, long h, long pct);
	void ConvertToGrayScale();
};
